- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# win_chocolatey_feature – Manages Chocolatey features

New in version 2.7.

- Synopsis

- Parameters

- See Also

- Examples

- Status

## Synopsis

- Used to enable or disable features in Chocolatey.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name string / required |  | The name of the feature to manage. Run `choco.exe feature list` to get a list of features that can be managed.
state string | Choices: disabled enabled ← | When `disabled` then the feature will be disabled. When `enabled` then the feature will be enabled.

## See Also

See also

win_chocolatey – Manage packages using chocolatey

  The official documentation on the win_chocolatey module.

win_chocolatey_config – Manages Chocolatey config settings

  The official documentation on the win_chocolatey_config module.

win_chocolatey_facts – Create a facts collection for Chocolatey

  The official documentation on the win_chocolatey_facts module.

win_chocolatey_source – Manages Chocolatey sources

  The official documentation on the win_chocolatey_source module.

## Examples

    - name: Disable file checksum matching
      win_chocolatey_feature:
        name: checksumFiles
        state: disabled

    - name: Stop Chocolatey on the first package failure
      win_chocolatey_feature:
        name: stopOnFirstPackageFailure
        state: enabled

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jordan Borean (@jborean93)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.